// This file is generated by kconfig_compiler from settings.kcfg.
// All changes you do to this file will be lost.
#ifndef SETTINGS_H
#define SETTINGS_H

#include <kconfigskeleton.h>
#include <kdebug.h>

#include <kglobalsettings.h>
class Settings : public KConfigSkeleton
{
  public:
    class EnumDisplayStyle
    {
      public:
      enum type { ScrollingText, PagedText, COUNT };
    };
    class EnumPagingDirection
    {
      public:
      enum type { Leftwards, Rightwards, Upwards, Downwards, COUNT };
    };

    static Settings *self();
    ~Settings();

    /**
      Set Font used for the scrolling text
    */
    static
    void setFont( const QFont & v )
    {
      if (!self()->isImmutable( QString::fromLatin1 ( "Font" ) ))
        self()->mFont = v;
    }

    /**
      Get Font used for the scrolling text
    */
    static
    QFont font()
    {
      return self()->mFont;
    }

    /**
      Set The color used for the scrolling text
    */
    static
    void setColor( const QColor & v )
    {
      if (!self()->isImmutable( QString::fromLatin1 ( "Color" ) ))
        self()->mColor = v;
    }

    /**
      Get The color used for the scrolling text
    */
    static
    QColor color()
    {
      return self()->mColor;
    }

    /**
      Set Whether news which have been read should be shown in the scroller again
    */
    static
    void setHideReadArticles( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1 ( "HideReadArticles" ) ))
        self()->mHideReadArticles = v;
    }

    /**
      Get Whether news which have been read should be shown in the scroller again
    */
    static
    bool hideReadArticles()
    {
      return self()->mHideReadArticles;
    }

    /**
      Set Whether to show a scrolling text or a paged item view.
    */
    static
    void setDisplayStyle( EnumDisplayStyle::type v )
    {
      if (!self()->isImmutable( QString::fromLatin1 ( "DisplayStyle" ) ))
        self()->mDisplayStyle = v;
    }

    /**
      Get Whether to show a scrolling text or a paged item view.
    */
    static
    EnumDisplayStyle::type displayStyle()
    {
      return static_cast<EnumDisplayStyle::type>(self()->mDisplayStyle);
    }

    /**
      Set Number of seconds until the next news item is shown in 'Paging' mode.
    */
    static
    void setPagingInterval( uint v )
    {
      if (!self()->isImmutable( QString::fromLatin1 ( "PagingInterval" ) ))
        self()->mPagingInterval = v;
    }

    /**
      Get Number of seconds until the next news item is shown in 'Paging' mode.
    */
    static
    uint pagingInterval()
    {
      return self()->mPagingInterval;
    }

    /**
      Set Direction into which items should scroll out in 'Paging' mode.
    */
    static
    void setPagingDirection( EnumPagingDirection::type v )
    {
      if (!self()->isImmutable( QString::fromLatin1 ( "PagingDirection" ) ))
        self()->mPagingDirection = v;
    }

    /**
      Get Direction into which items should scroll out in 'Paging' mode.
    */
    static
    EnumPagingDirection::type pagingDirection()
    {
      return static_cast<EnumPagingDirection::type>(self()->mPagingDirection);
    }

    /**
      Set How fast the scrolling should be.
    */
    static
    void setScrollingSpeed( uint v )
    {
      if (!self()->isImmutable( QString::fromLatin1 ( "ScrollingSpeed" ) ))
        self()->mScrollingSpeed = v;
    }

    /**
      Get How fast the scrolling should be.
    */
    static
    uint scrollingSpeed()
    {
      return self()->mScrollingSpeed;
    }

    /**
      Set List of URLs to RSS feeds which should be shown
    */
    static
    void setFeedUrls( const QStringList & v )
    {
      if (!self()->isImmutable( QString::fromLatin1 ( "FeedUrls" ) ))
        self()->mFeedUrls = v;
    }

    /**
      Get List of URLs to RSS feeds which should be shown
    */
    static
    QStringList feedUrls()
    {
      return self()->mFeedUrls;
    }

    /**
      Set The update interval (in minutes) defining how often the feeds are updated
    */
    static
    void setUpdateInterval( uint v )
    {
      if (!self()->isImmutable( QString::fromLatin1 ( "UpdateInterval" ) ))
        self()->mUpdateInterval = v;
    }

    /**
      Get The update interval (in minutes) defining how often the feeds are updated
    */
    static
    uint updateInterval()
    {
      return self()->mUpdateInterval;
    }

  protected:
    Settings();
    friend class SettingsHelper;


    // Visual
    QFont mFont;
    QColor mColor;
    bool mHideReadArticles;
    int mDisplayStyle;
    uint mPagingInterval;
    int mPagingDirection;
    uint mScrollingSpeed;

    // FeedLoading
    QStringList mFeedUrls;
    uint mUpdateInterval;

  private:
};

#endif

